Searched defs:die (Results 1 - 25 of 61) sorted by relevance

123

/external/dbus/
H A Dcleanup-man-pages.sh12 die() { function
22 cd "$MANDIR" || die "Could not cd to $MANDIR"
24 test -d keep || mkdir keep || die "Could not create $MANDIR/keep directory"
25 test -d nuke || mkdir nuke || die "Could not create $MANDIR/nuke directory"
28 (find . -maxdepth 1 -name "_*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all underscore-prefixed items"
29 (find . -maxdepth 1 -name "DBus*Internal*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all internal-containing items"
30 (find . -maxdepth 1 -name "dbus_*_internal_*" | xargs -I ITEMS /bin/mv ITEMS nuke) || die "could not move all internal-containing items"
45 /bin/mv "$I" nuke || die "could not move $I to $MANDIR/nuke"
58 /bin/mv "$I" nuke || die "could not move $I to $MANDIR/nuke"
65 (find . -maxdepth 1 -name "dbus_*" | xargs -I ITEMS /bin/mv ITEMS keep) || die "coul
[all...]
H A Dupdate-dbus-docs.sh3 function die() function
19 cd $CHECKOUTDIR || die "could not changedir to $CHECKOUTDIR"
24 cvs co dbus || die "failed to cvs update"
25 cd dbus || die "could not cd to dbus"
31 ./autogen.sh --enable-xml-docs=yes --enable-doxygen-docs=yes || die "could not autogen"
32 doxygen Doxyfile || die "could not run Doxygen"
33 make -C doc || die "could not build docs"
43 cp README HACKING AUTHORS NEWS COPYING ChangeLog doc/ || die "could not copy in assorted files"
44 tar cfz dbus-docs.tar.gz doc/*.dtd doc/*.xsl doc/*.xml doc/*.html doc/*.txt doc/api/html/*.html doc/api/html/*.css doc/api/html/*.png doc/api/html/*.gif doc/HACKING doc/AUTHORS doc/NEWS doc/ChangeLog doc/TODO doc/README doc/COPYING doc/*.png doc/*.svg || die "could not tar up docs"
46 tar tfz dbus-docs.tar.gz | sort > tarball.list || die "coul
[all...]
/external/dbus/test/name-test/
H A Drun-test-systemserver.sh2 die() function
H A Drun-test.sh3 die() function
34 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-ids || die "test-ids failed"
37 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-pending-call-dispatch failed"
40 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-timeout || die "test-pending-call-timeout failed"
43 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"
46 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-privserver-client || die "test-privserver-client failed"
49 ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-shutdown || die "test-shutdown failed"
H A Dtest-ids.c12 die (const char *message) function
39 die ("No bus server ID retrieved\n");
42 die ("Bus server id should have length 32\n");
47 die ("No bus ID retrieved\n");
50 die ("Bus ID should have length 32\n");
H A Dtest-shutdown.c8 die (const char *message) function
27 die ("Couldn't find GUID in session bus address");
33 die ("Failed to open connection to temp session bus\n");
37 die ("No memory\n");
40 die ("No memory\n");
H A Dtest-privserver-client.c5 die (const char *message, ...) function
48 die ("couldn't access session bus\n");
55 die ("couldn't send message: %s\n", error.message);
58 die ("couldn't parse message replym\n");
70 die ("couldn't connect to server direct connection: %s\n", error.message);
82 die ("couldn't send Quit message\n");
H A Dtest-privserver.c5 die (const char *message, ...) function
81 die ("couldn't access session bus");
87 die ("couldn't request name: %s", error.message);
90 die ("couldn't add filter");
98 die (error.message);
106 die ("server setup failed");
/external/dbus/tools/
H A Drun-with-tmp-session-bus.sh7 die() function
18 die "Must set DBUS_TOP_BUILDDIR"
22 trap 'die "Received SIGINT"' INT
41 die "$DBUS_TOP_BUILDDIR/bus/dbus-daemon does not exist"
60 die "Failed to launch message bus for test script to run"
67 $WRAPPED_SCRIPT "$@" || die "script \"$WRAPPED_SCRIPT\" failed"
69 kill -TERM $DBUS_SESSION_BUS_PID || die "Message bus vanished! should not have happened" && echo "Killed daemon $DBUS_SESSION_BUS_PID" >&2
/external/llvm/projects/sample/autoconf/
H A DAutoRegen.sh2 die () { function
7 test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
10 die "Your autoconf was not detected as being 2.5x or 2.6x"
41 aclocal -I $cwd/m4 || die "aclocal failed"
43 autoconf --warnings=all -o ../configure configure.ac || die "autoconf failed"
/external/llvm/autoconf/
H A DAutoRegen.sh3 die() { function
32 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
34 test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
36 test $? -eq 0 || die "Your aclocal was not detected as being $want_aclocal_version_clean"
38 test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
40 test $? -eq 0 || die "Your libtool was not detected as being $want_libtool_version_clean"
52 aclocal --force -I $cwd/m4 || die "aclocal failed"
54 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
57 autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
/external/libvpx/examples/
H A Dgen_example_code.sh22 die() { function
74 *) die "Failed to parse template name from '$template'" ;;
H A Dgen_example_text.sh22 die() { function
54 *) die "Failed to parse template name from '$template'" ;;
/external/libvpx/build/make/
H A Dgen_msvs_def.sh38 die() { function
77 [ -n "$name" ] || die "Library name (--name) must be specified!"
H A Dgen_msvs_sln.sh34 die() { function
99 [ -z "${dep_guid}" ] && die "Unknown GUID for $dep (dependency of $var)"
226 *) die Unrecognized Visual Studio Version in $opt
237 *) die "Unrecognized Visual Studio Version '$optval' in $opt"
H A Dgen_msvs_proj.sh45 die() { function
82 die "Missing attribute value in '$opt' while generating $tag tag"
204 *) die Unrecognized Visual Studio Version in $opt
252 [ -n "$name" ] || die "Project name (--name) must be specified!"
253 [ -n "$target" ] || die "Target (--target) must be specified!"
280 *) die "Unsupported target $target!"
294 *) die "Unsupported target $target!"
/external/bouncycastle/
H A Dimport_bouncycastle.sh30 function die() { function
52 die "Bouncy Castle patch directory patches/ not found"
56 die "bouncycastle.version not found"
61 die "Invalid bouncycastle.version; see README.android for more information"
68 die "bouncycastle.config not found"
73 die "Invalid bouncycastle.config; see README.android for more information"
209 patch -p1 < ../patches/$i || die "Could not apply patches/$i. Fix source and run: $0 regenerate patches/$i"
238 LC_ALL=C TZ=UTC0 diff -Naur $BOUNCYCASTLE_DIR_ORIG $BOUNCYCASTLE_DIR >> $patch && die "ERROR: No diff for patch $path in file $i"
/external/elfutils/libdw/
H A Ddwarf_getattrs.c23 dwarf_getattrs (Dwarf_Die *die, int (*callback) (Dwarf_Attribute *, void *), argument
26 if (die == NULL)
29 unsigned char *die_addr = die->addr;
35 if (die->abbrev == NULL)
37 die->abbrev = __libdw_findabbrev (die->cu, u128);
39 if (die->abbrev == (Dwarf_Abbrev *) -1l)
46 unsigned char *attrp = die->abbrev->attrp + offset;
49 Dwarf *dbg = die->cu->dbg;
73 attr.cu = die
[all...]
/external/dbus/bus/
H A Dtest-launch-helper.c34 die (const char *failure) function
50 die ("memleaks");
133 die ("OOM failed");
H A Dtest-main.c36 die (const char *failure) function
52 die ("memleaks");
64 die ("could not init selinux support");
100 die ("initializing debug threads");
105 die ("expire list");
111 die ("parser");
117 die ("policy");
123 die ("signals");
129 die ("sha1");
135 die ("dispatc
[all...]
H A Dtest-system.c34 die (const char *failure) function
50 die ("memleaks");
90 die ("initializing debug threads");
95 die ("parser");
/external/dbus/dbus/
H A Ddbus-test.c33 die (const char *failure) function
49 die ("memleaks");
65 die (test_name);
81 die (test_name);
103 die ("debug threads init");
134 die ("recursive marshal");
174 die ("md5");
/external/dbus/test/
H A Dtest-names.c7 die (const char *message) function
63 die ("No memory\n");
66 die ("No memory\n");
/external/elfutils/tests/
H A Dget-pubnames.c28 printf (" [%2d] \"%s\", die: %llu, cu: %llu\n",
37 puts ("failed to get CU die");
44 Dwarf_Die die; local
45 if (dwarf_offdie (dbg, gl->die_offset, &die) == NULL
46 || (diename = dwarf_diename (&die)) == NULL)
48 puts ("failed to get object die");
/external/openssl/
H A Dimport_openssl.sh30 function die() { function
52 die "OpenSSL patch directory patches/ not found"
56 die "openssl.version not found"
61 die "Invalid openssl.version; see README.android for more information"
68 die "openssl.config not found"
73 die "Invalid openssl.config; see README.android for more information"
236 patch -p1 < ../patches/$i || die "Could not apply patches/$i. Fix source and run: $0 regenerate patches/$i"
262 LC_ALL=C TZ=UTC0 diff -aup $OPENSSL_DIR_ORIG/$i $OPENSSL_DIR/$i >> $patch && die "ERROR: No diff for patch $path in file $i"

Completed in 839 milliseconds

123